# Class CLNCommandShowImageInfo

java.lang.Object
com.io7m.calino.cmdline.internal.CLNAbstractCommand
com.io7m.calino.cmdline.internal.CLNAbstractReadFileCommand
com.io7m.calino.cmdline.internal.CLNCommandShowImageInfo

All Implemented Interfaces:
  `com.io7m.quarrel.core.QCommandOrGroupType, com.io7m.quarrel.core.QCommandType`

public final class CLNCommandShowImageInfo extends CLNAbstractReadFileCommand
The 'show-image-info' command.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNCommandShowImageInfo()`
  The 'show-image-info' command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.io7m.quarrel.core.QCommandStatus`
  `executeWithReadFile(com.io7m.quarrel.core.QCommandContextType context, CLNFileReadableType fileParsed)`
  `protected List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParametersWithFile()`

  ### Methods inherited from class CLNAbstractReadFileCommand

  `onExecute, onListNamedParametersActual, source`

  ### Methods inherited from class CLNAbstractCommand

  `calinoStrings, metadata, onListNamedParameters`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### CLNCommandShowImageInfo

    public CLNCommandShowImageInfo()
    The 'show-image-info' command.

- ## Method Details

  - ### onListNamedParametersWithFile

    protected List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParametersWithFile()
    Specified by:
      `onListNamedParametersWithFile` in class `CLNAbstractReadFileCommand`

  - ### executeWithReadFile

    protected com.io7m.quarrel.core.QCommandStatus executeWithReadFile(com.io7m.quarrel.core.QCommandContextType context, CLNFileReadableType fileParsed) throws Exception
    Specified by:
      `executeWithReadFile` in class `CLNAbstractReadFileCommand`
    Throws:
      `Exception`